Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie

Name

### noLoop()

Examples

    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      image(myMovie, 0, 0);
    }

    void movieEvent(Movie m) {
      m.read();
    }

    void mousePressed() {
      myMovie.noLoop();
    }

Description | If a movie is looping, calling noLoop() will cause it to play until the end and then stop on the last frame.

Syntax

    mov.noLoop()

Parameters

mov | any variable of type Movie

Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST